/**
 * 缓存
 *
 * @author yusangeng@outlook.com
 */
declare type FReject = (reason?: any) => void;
export declare enum CacheStatus {
    NONE = 0,
    LOADING = 1,
    LOADED = 2,
    ERROR = 3
}
export interface CacheItem {
    url: string;
    status: CacheStatus;
    el: HTMLElement | null;
    error: Error | null;
    reject: FReject | null;
}
declare type CacheItems<CacheValue extends CacheItem> = Record<string, CacheValue | null>;
export declare class Cache<CacheValue extends CacheItem> {
    items: CacheItems<CacheValue>;
    private factory;
    constructor(factory: (key: string) => CacheValue);
    getOrCreateItemByURL(key: string): CacheValue;
    tryGetItemByURL(key: string): CacheValue | null;
    removeItemByURL(key: string): CacheValue | null;
}
export {};
